# Class InMemorySkillSource.Builder.SkillBuilder

java.lang.Object
com.google.adk.skills.InMemorySkillSource.Builder.SkillBuilder

Enclosing class:
  `InMemorySkillSource.Builder`

public final class InMemorySkillSource.Builder.SkillBuilder extends Object
Builder for a specific skill.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InMemorySkillSource.Builder.SkillBuilder`
  `addResource(String path, byte[] content)`
  `InMemorySkillSource.Builder.SkillBuilder`
  `addResource(String path, com.google.common.io.ByteSource content)`
  `InMemorySkillSource.Builder.SkillBuilder`
  `addResource(String path, String content)`
  `InMemorySkillSource`
  `build()`
  Builds the `InMemorySkillSource` containing all configured skills.
  `InMemorySkillSource.Builder.SkillBuilder`
  `frontmatter(Frontmatter frontmatter)`
  `InMemorySkillSource.Builder.SkillBuilder`
  `instructions(String instructions)`
  `InMemorySkillSource.Builder.SkillBuilder`
  `skill(String name)`
  Switches context to configure another skill, creating it if it doesn't exist.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### frontmatter

    @CanIgnoreReturnValue public InMemorySkillSource.Builder.SkillBuilder frontmatter(Frontmatter frontmatter)

  - ### instructions

    @CanIgnoreReturnValue public InMemorySkillSource.Builder.SkillBuilder instructions(String instructions)

  - ### addResource

    @CanIgnoreReturnValue public InMemorySkillSource.Builder.SkillBuilder addResource(String path, com.google.common.io.ByteSource content)

  - ### addResource

    @CanIgnoreReturnValue public InMemorySkillSource.Builder.SkillBuilder addResource(String path, byte[] content)

  - ### addResource

    @CanIgnoreReturnValue public InMemorySkillSource.Builder.SkillBuilder addResource(String path, String content)

  - ### skill

    public InMemorySkillSource.Builder.SkillBuilder skill(String name)
    Switches context to configure another skill, creating it if it doesn't exist.

  - ### build

    public InMemorySkillSource build()
    Builds the `InMemorySkillSource` containing all configured skills.